Skip to main content
PATCH
/
v3
/
operations
/
{operation_id}
Partially update an existing operation
curl --request PATCH \
  --url https://api.ctrl-hub.com/v3/operations/{operation_id} \
  --header 'Content-Type: application/vnd.api+json' \
  --header 'X-Session-Token: <api-key>' \
  --data '
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "name": "<string>",
      "code": "<string>",
      "description": "<string>",
      "dates": {
        "scheduled": {
          "start": "2023-11-07T05:31:56Z",
          "end": "2023-11-07T05:31:56Z"
        }
      },
      "labels": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "requirements": {
        "forms": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "required": true
          }
        ]
      }
    },
    "relationships": {
      "work_order": {},
      "template": {}
    }
  }
}
'
import requests

url = "https://api.ctrl-hub.com/v3/operations/{operation_id}"

payload = { "data": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "<string>",
        "attributes": {
            "name": "<string>",
            "code": "<string>",
            "description": "<string>",
            "dates": { "scheduled": {
                    "start": "2023-11-07T05:31:56Z",
                    "end": "2023-11-07T05:31:56Z"
                } },
            "labels": [
                {
                    "key": "<string>",
                    "value": "<string>"
                }
            ],
            "requirements": { "forms": [
                    {
                        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                        "required": True
                    }
                ] }
        },
        "relationships": {
            "work_order": {},
            "template": {}
        }
    } }
headers = {
    "X-Session-Token": "<api-key>",
    "Content-Type": "application/vnd.api+json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
  body: JSON.stringify({
    data: {
      id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
      type: '<string>',
      attributes: {
        name: '<string>',
        code: '<string>',
        description: '<string>',
        dates: {scheduled: {start: '2023-11-07T05:31:56Z', end: '2023-11-07T05:31:56Z'}},
        labels: [{key: '<string>', value: '<string>'}],
        requirements: {forms: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', required: true}]}
      },
      relationships: {work_order: {}, template: {}}
    }
  })
};

fetch('https://api.ctrl-hub.com/v3/operations/{operation_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "name": "<string>",
      "code": "<string>",
      "description": "<string>",
      "dates": {
        "scheduled": {
          "start": "2023-11-07T05:31:56Z",
          "end": "2023-11-07T05:31:56Z"
        }
      },
      "labels": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "requirements": {
        "forms": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "required": true
          }
        ]
      }
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "counts": {
        "streets": 0,
        "properties": 0
      },
      "related_data": {
        "properties": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "postcode": "<string>"
          }
        ]
      }
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "scheme": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "work_order": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "appointment": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "permits": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      },
      "template": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "type": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "teams": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      },
      "assignees": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      },
      "properties": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      },
      "streets": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  }
}
{
  "id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
  "status": "400",
  "title": "A validation error was encountered",
  "source": {
    "parameter": "include"
  },
  "meta": {
    "resource": "wrong_value"
  }
}
{
  "id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
  "status": "401",
  "title": "You are not authorised to access this resource",
  "detail": "In order to access this resource, you need the 'admin' role.",
  "code": "AUTH.001"
}
{
  "id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
  "status": "404",
  "title": "Resource not found",
  "detail": "The requested resource could not be found or does not exist.",
  "code": "NOT_FOUND.001"
}
{
  "id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
  "status": "500",
  "title": "Internal Server Error",
  "detail": "An unexpected error occurred on the server."
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

operation_id
string<uuid>
required

The unique identifier for the operation.

Body

application/vnd.api+json

Partial update for an operation. All fields are optional — only provided fields are updated.

data
object
required

Response

The updated operation

JSON API response object

data
object
required

An operation

jsonapi
object
required